// PeakTech_4055MV_4060Dlg.h : header file
//

#if !defined(AFX_PEAKTECH_4055MV_4060DLG_H__766B97B8_ABAE_4940_BA7F_626D131261C0__INCLUDED_)
#define AFX_PEAKTECH_4055MV_4060DLG_H__766B97B8_ABAE_4940_BA7F_626D131261C0__INCLUDED_

#include "FM.h"	// Added by ClassView
#include "Continous.h"	// Added by ClassView
#include "AM.h"	// Added by ClassView
#include "PM.h"	// Added by ClassView
#include "PWM.h"	// Added by ClassView
#include "FSK.h"	// Added by ClassView
#include "Burst.h"	// Added by ClassView
#include "Sweep.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPeakTech_4055MV_4060Dlg dialog

class CPeakTech_4055MV_4060Dlg : public CDialog
{
// Construction
public:
	bool ch372_is_open;
	CSweep m_sweep;
	CBurst m_burst;
	CFSK m_fsk;
	CPWM m_pwm;
	CPM m_pm;
	CAM m_am;
	CFM m_fm;
	CContinous m_continous;
	CPeakTech_4055MV_4060Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPeakTech_4055MV_4060Dlg)
	enum { IDD = IDD_PEAKTECH_4055MV_4060_DIALOG };
	CEdit	m_editText;
	CTabCtrl	m_tabctrl;
	CString	m_text;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPeakTech_4055MV_4060Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPeakTech_4055MV_4060Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeTab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnValidate();
	afx_msg void OnSend();
	afx_msg void OnLocal();
	afx_msg void OnReset();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PEAKTECH_4055MV_4060DLG_H__766B97B8_ABAE_4940_BA7F_626D131261C0__INCLUDED_)
